Name:           perl-MooseX-Singleton
Version:        0.21
Release:        2%{?dist}
Summary:        Turn your Moose class into a singleton
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Singleton/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/MooseX-Singleton-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Moose) >= 0.82
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(MooseX::StrictConstructor)
BuildRequires:  perl(Test::Exception)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Requires:       perl(Moose) >= 0.82

%description
A singleton is a class that has only one instance in an application.
MooseX::Singleton lets you easily upgrade (or downgrade, as it were) your
Moose class to a singleton.

%prep
%setup -q -n MooseX-Singleton-%{version}

# Filter requires
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(MooseX::Singleton::Meta::Class)/d' |\
sed -e '/perl(MooseX::Singleton::Meta::Instance)/d' |\
sed -e '/perl(MooseX::Singleton::Meta::Method::Constructor)/d' |\
sed -e '/perl(MooseX::Singleton::Object)/d'
EOF

%define __perl_requires %{_builddir}/MooseX-Singleton-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Dec 10 2009 Allisson Azevedo <allisson@gmail.com> 0.21-2
- Update BR.
- Remove README from docs.

* Sat Sep 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- auto-update to 0.21 (by cpan-spec-update 0.01)
- altered br on perl(Moose) (0.74 => 0.82)
- added a new req on perl(Moose) (version 0.82)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 02 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- auto-update to 0.17 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- altered br on perl(Moose) (0.65 => 0.74)

* Wed Mar 04 2009 Allisson Azevedo <allisson@gmail.com> 0.14-1
- Initial rpm release.
